1.4 doesnt work. try 9999 version.
add
dev-vcs/hgsubversion **
line to package.accept_keywords
and rebuild
emerge -vat dev-vcs/hgsubversion